GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
gridfire::approx8 Namespace Reference

## Classes
struct | Approx8Net
| Contains constants and arrays related to the nuclear network. More...
class | Approx8Network
| Class for the Approx8 nuclear reaction network. More...
struct | Jacobian
| Functor to calculate the Jacobian matrix for implicit solvers. More...
struct | ODE
| Functor to calculate the derivatives for the ODE solver. More...

## Typedefs
typedef boost::numeric::ublas::vector< double > | vector_type
| Alias for a vector of doubles using Boost uBLAS.
typedef boost::numeric::ublas::matrix< double > | matrix_type
| Alias for a matrix of doubles using Boost uBLAS.
typedef std::array< double, 7 > | vec7
| Alias for a std::array of 7 doubles.

## Functions
double | sum_product (const vec7 &a, const vec7 &b)
vec7 | get_T9_array (const double &T)
double | rate_fit (const vec7 &T9, const vec7 &coef)
double | pp_rate (const vec7 &T9)
| Calculates the rate for the reaction p + p -> d.
double | dp_rate (const vec7 &T9)
| Calculates the rate for the reaction p + d -> he3.
double | he3he3_rate (const vec7 &T9)
| Calculates the rate for the reaction he3 + he3 -> he4 + 2p.
double | he3he4_rate (const vec7 &T9)
| Calculates the rate for the reaction he3(he3,2p)he4.
double | triple_alpha_rate (const vec7 &T9)
| Calculates the rate for the reaction he4 + he4 + he4 -> c12.
double | c12p_rate (const vec7 &T9)
| Calculates the rate for the reaction c12 + p -> n13.
double | c12a_rate (const vec7 &T9)
| Calculates the rate for the reaction c12 + he4 -> o16.
double | n14p_rate (const vec7 &T9)
| Calculates the rate for the reaction n14(p,g)o15 - o15 + p -> c12 + he4.
double | n14a_rate (const vec7 &T9)
| Calculates the rate for the reaction n14(a,g)f18 assumed to go on to ne20.
double | n15pa_rate (const vec7 &T9)
| Calculates the rate for the reaction n15(p,a)c12 (CNO I).
double | n15pg_rate (const vec7 &T9)
| Calculates the rate for the reaction n15(p,g)o16 (CNO II).
double | n15pg_frac (const vec7 &T9)
| Calculates the fraction for the reaction n15(p,g)o16.
double | o16p_rate (const vec7 &T9)
| Calculates the rate for the reaction o16(p,g)f17 then f17 -> o17(p,a)n14.
double | o16a_rate (const vec7 &T9)
| Calculates the rate for the reaction o16(a,g)ne20.
double | ne20a_rate (const vec7 &T9)
| Calculates the rate for the reaction ne20(a,g)mg24.
double | c12c12_rate (const vec7 &T9)
| Calculates the rate for the reaction c12(c12,a)ne20.
double | c12o16_rate (const vec7 &T9)
| Calculates the rate for the reaction c12(o16,a)mg24.

## Typedef Documentation

## ◆ matrix_type

typedef boost::numeric::ublas::matrix< double > gridfire::approx8::matrix_type

Alias for a matrix of doubles using Boost uBLAS.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 51 of file engine_approx8.h.

## ◆ vec7

typedef std::array<double,7> gridfire::approx8::vec7

Alias for a std::array of 7 doubles.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 57 of file engine_approx8.h.

## ◆ vector_type

typedef boost::numeric::ublas::vector< double > gridfire::approx8::vector_type

Alias for a vector of doubles using Boost uBLAS.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 45 of file engine_approx8.h.

## Function Documentation

## ◆ c12a_rate()

double gridfire::approx8::c12a_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction c12 + he4 -> o16.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 157 of file engine_approx8.cpp.

## ◆ c12c12_rate()

double gridfire::approx8::c12c12_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction c12(c12,a)ne20.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 227 of file engine_approx8.cpp.

## ◆ c12o16_rate()

double gridfire::approx8::c12o16_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction c12(o16,a)mg24.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 233 of file engine_approx8.cpp.

## ◆ c12p_rate()

double gridfire::approx8::c12p_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction c12 + p -> n13.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 150 of file engine_approx8.cpp.

## ◆ dp_rate()

double gridfire::approx8::dp_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction p + d -> he3.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 122 of file engine_approx8.cpp.

## ◆ get_T9_array()

vec7 gridfire::approx8::get_T9_array | ( | const double & | T | ) |

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 93 of file engine_approx8.cpp.

## ◆ he3he3_rate()

double gridfire::approx8::he3he3_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction he3 + he3 -> he4 + 2p.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 129 of file engine_approx8.cpp.

## ◆ he3he4_rate()

double gridfire::approx8::he3he4_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction he3(he3,2p)he4.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 135 of file engine_approx8.cpp.

## ◆ n14a_rate()

double gridfire::approx8::n14a_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction n14(a,g)f18 assumed to go on to ne20.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 173 of file engine_approx8.cpp.

## ◆ n14p_rate()

double gridfire::approx8::n14p_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction n14(p,g)o15 - o15 + p -> c12 + he4.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 164 of file engine_approx8.cpp.

## ◆ n15pa_rate()

double gridfire::approx8::n15pa_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction n15(p,a)c12 (CNO I).

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 181 of file engine_approx8.cpp.

## ◆ n15pg_frac()

double gridfire::approx8::n15pg_frac | ( | const vec7 & | T9 | ) |

Calculates the fraction for the reaction n15(p,g)o16.

Parameters

  T9 | Array of T9 terms.

Returns
  Fraction of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 197 of file engine_approx8.cpp.

## ◆ n15pg_rate()

double gridfire::approx8::n15pg_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction n15(p,g)o16 (CNO II).

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 190 of file engine_approx8.cpp.

## ◆ ne20a_rate()

double gridfire::approx8::ne20a_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction ne20(a,g)mg24.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 218 of file engine_approx8.cpp.

## ◆ o16a_rate()

double gridfire::approx8::o16a_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction o16(a,g)ne20.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 210 of file engine_approx8.cpp.

## ◆ o16p_rate()

double gridfire::approx8::o16p_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction o16(p,g)f17 then f17 -> o17(p,a)n14.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 204 of file engine_approx8.cpp.

## ◆ pp_rate()

double gridfire::approx8::pp_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction p + p -> d.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 115 of file engine_approx8.cpp.

## ◆ rate_fit()

double gridfire::approx8::rate_fit | ( | const vec7 & | T9,
|  | const vec7 & | coef )

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 110 of file engine_approx8.cpp.

## ◆ sum_product()

double gridfire::approx8::sum_product | ( | const vec7 & | a,
|  | const vec7 & | b )

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 82 of file engine_approx8.cpp.

## ◆ triple_alpha_rate()

double gridfire::approx8::triple_alpha_rate | ( | const vec7 & | T9 | ) |

Calculates the rate for the reaction he4 + he4 + he4 -> c12.

Parameters

  T9 | Array of T9 terms.

Returns
  Rate of the reaction.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

Definition at line 142 of file engine_approx8.cpp.